Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.conf
Class MetaDataRepositoryValue

    java.lang.Object
      org.apache.openjpa.lib.conf.Value
          org.apache.openjpa.lib.conf.ObjectValue
              org.apache.openjpa.lib.conf.PluginValue
                  org.apache.openjpa.conf.MetaDataRepositoryValue

All Implemented Interfaces:
  Cloneable

    public class MetaDataRepositoryValue

extends PluginValue

A `PluginValue` that interacts with the `CacheMarshaller` to cache the metadata repository between executions.

Since:
  1.1.0

Field Summary

Fields inherited from class org.apache.openjpa.lib.conf.Value
`INVISIBLE`

Constructor Summary
`MetaDataRepositoryValue()`

Method Summary
`Object` | `instantiate(Class type, Configuration c, boolean fatal)` Instantiate the plugin as an instance of the given class.

Methods inherited from class org.apache.openjpa.lib.conf.PluginValue
`configure, getClassName, getInternalString, getProperties, getString, getValueType, isSingleton, objectChanged, set, setClassName, setInternalString, setProperties, setString`

Methods inherited from class org.apache.openjpa.lib.conf.ObjectValue
`configure, get, instantiate, newInstance, set, setInternalObject`

Methods inherited from class org.apache.openjpa.lib.conf.Value
`addEquivalentKey, addListener, alias, alias, assertChangeable, clone, equals, getAliases, getDefault, getEquivalentKeys, getInstantiatingGetter, getListeners, getLoadKey, getOriginalValue, getProperty, getPropertyKeys, getScope, hashCode, hide, isAliasListComprehensive, isDynamic, isHidden, isPrivate, makePrivate, matches, removeListener, setAlias, setAlias, setAliases, setAliasListComprehensive, setDefault, setDynamic, setInstantiatingGetter, setLoadKey, setObject, setProperty, setScope, toString, unalias, unalias, valueChanged`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MetaDataRepositoryValue

    public MetaDataRepositoryValue()

Method Detail

### instantiate

    public Object instantiate(Class type,
                              Configuration c,
                              boolean fatal)

  Description copied from class: `PluginValue`
  Instantiate the plugin as an instance of the given class.

  Overrides:
    `instantiate` in class `PluginValue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.